/*
 * Copyright (C) 1998, 1999, 2000, 2001
 * Lehrstuhl fuer Technische Informatik, RWTH-Aachen, Germany
 *
 * This file is part of the LTI-Computer Vision Library (LTI-Lib)
 *
 * The LTI-Lib is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public License (LGPL)
 * as published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * The LTI-Lib is distributed in the hope that it will be
 * useful, but WITHOUT ANY WARRANTY; without even the implied warranty
 * of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with the LTI-Lib; see the file LICENSE.  If
 * not, write to the Free Software Foundation, Inc., 59 Temple Place -
 * Suite 330, Boston, MA 02111-1307, USA.
 */


/*----------------------------------------------------------------
 * project ....: LTI Digital Image/Signal Processing Library
 * file .......: ltiConstants.cpp
 * authors ....: Pablo Alvarado
 * organization: LTI, RWTH Aachen
 * creation ...: 16.05.01
 * revisions ..: $Id: ltiConstants.cpp,v 1.1 2003/05/26 07:48:18 alvarado Exp $
 */

#include "ltiConstants.h"
#include "ltiMath.h"

namespace lti {

  /*
   * Pi
   */
  template<class T>
  const T constants<T>::Pi = static_cast<T>(3.1415926535897932384626433832795);

  /*
   * Twice Pi (2*Pi)
   */
  template<class T>
  const T constants<T>::TwicePi = 
  static_cast<T>(3.1415926535897932384626433832795*2.0);

  /*
   * Half Pi (Pi/2)
   */
  template<class T>
  const T constants<T>::HalfPi = 
  static_cast<T>(3.1415926535897932384626433832795/2.0);

  /*
   * e (basis of natural logarithm)
   */
  template<class T>
  const T constants<T>::e = static_cast<T>(exp(1.0));
 
  /*
   * constructor 
   */
  template<class T>
  constants<T>::constants() {};

  // explicit instantiations
  template class constants<float>;
  template class constants<double>;

}

